Package com.ocient.jdbc.proto

## Class ClientWireProtocol.ClientConnection.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ClientConnection

    public static final class ClientWireProtocol.ClientConnection.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>
    implements ClientWireProtocol.ClientConnectionOrBuilder

Protobuf type `xg.cmdcomp.ClientConnection`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.ClientConnection.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.ClientConnection` `build()`
`ClientWireProtocol.ClientConnection` `buildPartial()`
`ClientWireProtocol.ClientConnection.Builder` `clear()`
`ClientWireProtocol.ClientConnection.Builder` `clearClientid()` `string clientid = 3;`
`ClientWireProtocol.ClientConnection.Builder` `clearDatabase()` `string database = 2;`
`ClientWireProtocol.ClientConnection.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.ClientConnection.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.ClientConnection.Builder` `clearUserid()` `string userid = 1;`
`ClientWireProtocol.ClientConnection.Builder` `clearVersion()` `string version = 4;`
`ClientWireProtocol.ClientConnection.Builder` `clone()`
`String` `getClientid()` `string clientid = 3;`
`com.google.protobuf.ByteString` `getClientidBytes()` `string clientid = 3;`
`String` `getDatabase()` `string database = 2;`
`com.google.protobuf.ByteString` `getDatabaseBytes()` `string database = 2;`
`ClientWireProtocol.ClientConnection` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getUserid()` `string userid = 1;`
`com.google.protobuf.ByteString` `getUseridBytes()` `string userid = 1;`
`String` `getVersion()` `string version = 4;`
`com.google.protobuf.ByteString` `getVersionBytes()` `string version = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.ClientConnection.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ClientConnection.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.ClientConnection.Builder` `mergeFrom​(ClientWireProtocol.ClientConnection other)`
`ClientWireProtocol.ClientConnection.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnection.Builder` `setClientid​(String value)` `string clientid = 3;`
`ClientWireProtocol.ClientConnection.Builder` `setClientidBytes​(com.google.protobuf.ByteString value)` `string clientid = 3;`
`ClientWireProtocol.ClientConnection.Builder` `setDatabase​(String value)` `string database = 2;`
`ClientWireProtocol.ClientConnection.Builder` `setDatabaseBytes​(com.google.protobuf.ByteString value)` `string database = 2;`
`ClientWireProtocol.ClientConnection.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.ClientConnection.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.ClientConnection.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnection.Builder` `setUserid​(String value)` `string userid = 1;`
`ClientWireProtocol.ClientConnection.Builder` `setUseridBytes​(com.google.protobuf.ByteString value)` `string userid = 1;`
`ClientWireProtocol.ClientConnection.Builder` `setVersion​(String value)` `string version = 4;`
`ClientWireProtocol.ClientConnection.Builder` `setVersionBytes​(com.google.protobuf.ByteString value)` `string version = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### clear

    public ClientWireProtocol.ClientConnection.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.ClientConnection getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.ClientConnection build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.ClientConnection buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.ClientConnection.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### setField

    public ClientWireProtocol.ClientConnection.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### clearField

    public ClientWireProtocol.ClientConnection.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### clearOneof

    public ClientWireProtocol.ClientConnection.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### setRepeatedField

    public ClientWireProtocol.ClientConnection.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                        int index,
                                                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### addRepeatedField

    public ClientWireProtocol.ClientConnection.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection.Builder mergeFrom​(ClientWireProtocol.ClientConnection other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection.Builder>`
Throws:
  `IOException`

#### getUserid

    public String getUserid()

`string userid = 1;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The userid.

#### getUseridBytes

    public com.google.protobuf.ByteString getUseridBytes()

`string userid = 1;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for userid.

#### setUserid

    public ClientWireProtocol.ClientConnection.Builder setUserid​(String value)

`string userid = 1;`

Parameters:
  `value` - The userid to set.
Returns:
  This builder for chaining.

#### clearUserid

    public ClientWireProtocol.ClientConnection.Builder clearUserid()

`string userid = 1;`

Returns:
  This builder for chaining.

#### setUseridBytes

    public ClientWireProtocol.ClientConnection.Builder setUseridBytes​(com.google.protobuf.ByteString value)

`string userid = 1;`

Parameters:
  `value` - The bytes for userid to set.
Returns:
  This builder for chaining.

#### getDatabase

    public String getDatabase()

`string database = 2;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The database.

#### getDatabaseBytes

    public com.google.protobuf.ByteString getDatabaseBytes()

`string database = 2;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for database.

#### setDatabase

    public ClientWireProtocol.ClientConnection.Builder setDatabase​(String value)

`string database = 2;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

#### clearDatabase

    public ClientWireProtocol.ClientConnection.Builder clearDatabase()

`string database = 2;`

Returns:
  This builder for chaining.

#### setDatabaseBytes

    public ClientWireProtocol.ClientConnection.Builder setDatabaseBytes​(com.google.protobuf.ByteString value)

`string database = 2;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

#### getClientid

    public String getClientid()

`string clientid = 3;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The clientid.

#### getClientidBytes

    public com.google.protobuf.ByteString getClientidBytes()

`string clientid = 3;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for clientid.

#### setClientid

    public ClientWireProtocol.ClientConnection.Builder setClientid​(String value)

`string clientid = 3;`

Parameters:
  `value` - The clientid to set.
Returns:
  This builder for chaining.

#### clearClientid

    public ClientWireProtocol.ClientConnection.Builder clearClientid()

`string clientid = 3;`

Returns:
  This builder for chaining.

#### setClientidBytes

    public ClientWireProtocol.ClientConnection.Builder setClientidBytes​(com.google.protobuf.ByteString value)

`string clientid = 3;`

Parameters:
  `value` - The bytes for clientid to set.
Returns:
  This builder for chaining.

#### getVersion

    public String getVersion()

`string version = 4;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The version.

#### getVersionBytes

    public com.google.protobuf.ByteString getVersionBytes()

`string version = 4;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for version.

#### setVersion

    public ClientWireProtocol.ClientConnection.Builder setVersion​(String value)

`string version = 4;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

#### clearVersion

    public ClientWireProtocol.ClientConnection.Builder clearVersion()

`string version = 4;`

Returns:
  This builder for chaining.

#### setVersionBytes

    public ClientWireProtocol.ClientConnection.Builder setVersionBytes​(com.google.protobuf.ByteString value)

`string version = 4;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final ClientWireProtocol.ClientConnection.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.ClientConnection.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection.Builder>`